Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2012-0390

CVE information

Published

11 years ago

Last Modified

8 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

The DTLS implementation in GnuTLS 3.0.10 and earlier executes certain error-handling code only if there is a specific relationship between a padding length and the ciphertext size, which makes it easier for remote attackers to recover partial plaintext via a timing side-channel attack, a related issue to CVE-2011-4108..

CVSSv2.0 Score

Severity
Medium
Base Score
4.3/10
Exploit Score
8.6/10
Access Vector
Network
Access Complexity
Medium
Authentication Required
None
Impact Score
2.9/10
Confidentiality Impact
Partial
Availability Impact
None
Integrity Impact
None

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:gnu:gnutls:2.10.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.2.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.2.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.5-x86:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.6.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:*:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.1-x86:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.4.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.2-x86:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.6.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.12.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.10.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:3.0.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:gnu:gnutls:2.8.4:*:*:*:*:*:*:*
  Yes
- -